<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'game', language 'en', branch 'MOODLE_20_STABLE'
 *
 * @package    mod_mmogame
 * @copyright  2024 Vasilis Daloukas
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['attempts'] = 'Attempts';
$string['attemptsnum'] = 'Attempts: {$a}';
$string['casesensitive'] = 'Case sensitive';
$string['countgroup'] = 'Number of groups';
$string['crontask'] = 'Crontask mmogame';
$string['enabled'] = 'Enabled';
$string['enrolmentkey'] = 'Enrolment key';
$string['eventcoursemoduleplayed'] = 'Game played';
$string['eventcoursemoduleviewed'] = 'Game viewed';
$string['glossary_only_approved'] = "Only approved or teacher's glossary entries";
$string['grade'] = 'Grade';
$string['group'] = 'Group';
$string['groupname'] = 'Group name';
$string['import_completed'] = 'Έγινε εισαγωγή {$a} ερωτήσεων';
$string['index_error_noinstances'] = 'There are no instances of MMOgames';
$string['introduction'] = 'Description';
$string['invalid_mmogame_or_pin'] = 'Invalid id {$a->id} or pin {$a->pin}';
$string['iscorrect'] = 'Is correct?';
$string['js_avatars'] = 'Avatars';
$string['js_code'] = 'Code';
$string['js_date'] = 'Date';
$string['js_game_over'] = 'Game over';
$string['js_grade'] = 'Grade';
$string['js_grade_last_question'] = 'Last question marks';
$string['js_grade_opponent'] = "Opponents' grade";
$string['js_help'] = 'Help';
$string['js_name'] = 'Name';
$string['js_opponent'] = 'Opponent';
$string['js_palette'] = 'Color palette';
$string['js_percent'] = 'Percentage of correct answers';
$string['js_question_time'] = 'Question time';
$string['js_ranking_grade'] = 'Ranking order based on score';
$string['js_ranking_percent'] = 'Ranking order based on the percentage of correct answers';
$string['js_sound'] = 'Sound';
$string['js_wait_to_start'] = "Wait to start.";
$string['kindgroup'] = 'Method of grouping students';
$string['kindgroup_auto'] = 'Auto';
$string['kindgroup_key'] = 'Enrolement key';
$string['kindgroup_manual'] = 'Manual';
$string['kindgroup_user'] = 'Only one user at every group';
$string['kinduser'] = 'Kind user';
$string['kinduser_guid'] = 'GUID';
$string['kinduser_moodle'] = 'Moodle';
$string['kinduser_usercode'] = 'User code';
$string['missing_pin'] = 'Missing pin';
$string['mmogame:addinstance'] = 'Add a new mmoGame';
$string['mmogame:attempt'] = 'Attempt mmogames';
$string['mmogame:deleteattempts'] = 'Delete mmogames';
$string['mmogame:manage'] = 'Manage mmogames';
$string['mmogame:play'] = 'Play mmogames';
$string['mmogame:view'] = 'View mmogame';
$string['mmogame:viewreports'] = 'View reports';
$string['modulename'] = 'Multiple Player Online Game';
$string['modulename_help'] = 'This module contains multiple player online games';
$string['modulenameplural'] = 'MMOGames';
$string['numattempt'] = 'Number of attempt';
$string['numcategories'] = 'Number of categories';
$string['numgame'] = 'Number of game';
$string['numquestions'] = 'Number of questions';
$string['pluginadministration'] = 'MMOGame administration';
$string['pluginname'] = 'MMOGame';
$string['privacy:metadata:mmogame'] = 'General infos about the game';
$string['privacy:metadata:mmogame:model'] = 'Model of game';
$string['privacy:metadata:mmogame:numgame'] = 'Number of game';
$string['privacy:metadata:mmogame:type'] = 'Type of game';
$string['privacy:metadata:mmogame_aa_grades'] = 'Grades';
$string['privacy:metadata:mmogame_grades:avatar'] = 'The avatar that is used';
$string['privacy:metadata:mmogame_grades:color1'] = 'The first color of color palette that is used';
$string['privacy:metadata:mmogame_grades:color2'] = 'The second color of color palette that is used';
$string['privacy:metadata:mmogame_grades:color3'] = 'The third color of color palette that is used';
$string['privacy:metadata:mmogame_grades:color4'] = 'The fourth color of color palette that is used';
$string['privacy:metadata:mmogame_grades:color5'] = 'The fifth color of color palette that is used';
$string['privacy:metadata:mmogame_grades:mmogame'] = 'The mmoGame activity';
$string['privacy:metadata:mmogame_grades:nickname'] = 'The nickname of the player';
$string['privacy:metadata:mmogame_grades:numgame'] = 'The number of game';
$string['privacy:metadata:mmogame_grades:numteam'] = 'The number of team';
$string['privacy:metadata:mmogame_grades:score'] = 'Score';
$string['privacy:metadata:mmogame_grades:sumscore'] = 'Sum score';
$string['privacy:metadata:mmogame_grades:sumscore2'] = 'Sum score2';
$string['privacy:metadata:mmogame_grades:timemodified'] = 'Time modified';
$string['privacy:metadata:mmogame_grades:usercode'] = 'The code of the user';
$string['reset_mmogame_all'] = 'Delete tries from all mmogames';
$string['reset_mmogame_deleted_course'] = 'Delete tries from deleted courses';
$string['sourcemodule'] = 'Source of questions';
$string['sourcemodule_glossary'] = 'Select glossary';
$string['sourcemodule_glossarycategory'] = 'Select category of glossary';
$string['sourcemodule_none'] = 'Without questions';
$string['sourcemodule_question'] = 'Questions';
$string['sourcemodule_questioncategory'] = 'Select question category';
$string['state'] = 'State';
$string['striptags'] = 'Strip tags';
$string['subplugintype_mmogameallocation'] = 'Submissions allocation method';
$string['subplugintype_mmogameallocation_plural'] = 'Submissions allocation methods';
$string['subplugintype_mmogameeval'] = 'Grading evaluation method';
$string['subplugintype_mmogameeval_plural'] = 'Grading evaluation methods';
$string['subplugintype_mmogameform'] = 'Grading strategy';
$string['subplugintype_mmogameform_plural'] = 'Grading strategies';
$string['subplugintype_mmogametype'] = 'MMOGame';
$string['subplugintype_mmogametype_plural'] = 'MMOGames';
$string['timeanswer'] = 'Time of answer';
$string['timeclose'] = 'Time close';
$string['timelimit'] = 'Time limit (sec)';
$string['type'] = 'Type';
$string['url_for_playing'] = 'Url for playing {$a}';
$string['user'] = 'Player';
$string['yesno'] = 'Yes / No';
