define("mod_mmogame/mmogame",[""],(function(){return class{state;body;minFontSize;maxFontSize;fontSize;iconSize;padding;cIcons;colorBackground;timestart=0;timeclose=0;
/**
     * Initialize game properties and compute initial sizes.
     *
     * @module mmogame
     * @copyright 2024 Vasilis Daloukas
     * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
     */
constructor(){this.state=0,this.minFontSize=1,this.maxFontSize=0,this.fontSize=0,this.iconSize=0,this.padding=0,this.body=document.getElementsByTagName("body")[0],this.setColorsString();const size=parseFloat(getComputedStyle(document.documentElement).fontSize);this.minFontSize=size,this.maxFontSize=2*size,this.fontSize=size}createDOMElement(tag){let{parent:parent,classnames:classnames="",styles:styles={},attributes:attributes={}}=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};const element=document.createElement(tag);return classnames&&element.classList.add(...classnames.split(/\s+/)),Object.assign(element.style,styles),Object.entries(attributes).forEach((_ref=>{let[key,value]=_ref;null!=value&&element.setAttribute(key,value)})),parent&&parent.appendChild(element),element}createDiv(parent,classnames,left,top,width,height){return this.createDOMElement("div",{parent:parent,classnames:classnames,styles:{position:"absolute",left:`${left}px`,top:`${top}px`,width:`${width}px`,height:`${height}px`}})}createImage(parent,classnames,left,top,width,height,filename){const styles={position:"absolute",left:`${left}px`,top:`${top}px`};0!==width&&(styles.width=`${width}px`),0!==height&&(styles.height=`${height}px`);const attributes={draggable:!1};return""!==filename&&(attributes.src=filename),this.createDOMElement("img",{parent:parent,classnames:classnames,styles:styles,attributes:attributes})}createButton(parent,classnames,left,top,width,height,src,alt){let role=arguments.length>8&&void 0!==arguments[8]?arguments[8]:"button";return this.createDOMElement("img",{parent:parent,classnames:classnames,styles:{position:"absolute",left:`${left}px`,top:`${top}px`,width:`${width}px`,height:`${height}px`},attributes:{src:src,alt:alt,role:role}})}computeSizes(){const cIcons=Math.max(this.cIcons||5,5),maxIconWidth=window.innerWidth/cIcons,maxIconHeight=window.innerHeight/5;this.iconSize=Math.min(maxIconWidth,maxIconHeight);const adjustment=this.iconSize/10/cIcons;this.iconSize=Math.round(this.iconSize-adjustment),this.padding=Math.round(this.iconSize/10),this.iconSize-=this.padding}createCenterImageButton(parent,left,top,width,height,classname,filename){const button=this.createDOMElement("img",{parent:parent,classnames:`mmogame_imgbutton ${classname}`,styles:{position:"absolute",draggable:!1}}),img=new Image;return img.onload=function(){if(this.width>0&&this.height>0){const mul=Math.min(width/this.width,height/this.height),w=Math.round(this.width*mul),h=Math.round(this.height*mul);Object.assign(button.style,{width:`${w}px`,height:`${h}px`,left:left+width/2-w/2+"px",top:top+height/2-h/2+"px"}),button.src=filename}},img.src=filename,button}clearBodyChildren(){let child;for(this.removeDivMessage();child=this.body.firstChild;)this.body.removeChild(child)}openGame(){this.clearBodyChildren(),this.computeSizes()}autoResizeText(item,width,height,wrap,minFontSize,maxFontSize){const text=item.innerHTML.toString();if(0===text.length)return;const tempDiv=document.createElement("div");tempDiv.style.visibility="hidden",tempDiv.style.position="absolute",tempDiv.style.whiteSpace=wrap?"normal":"nowrap",this.body.appendChild(tempDiv);let fontSize,low=Math.max(1,minFontSize),up=maxFontSize||Math.min(width,height),fitSize=low,fitHeight=0,newHeight=0,newWidth=0,step=1;for(;step<=10;step++)if(fontSize=(low+up)/2,tempDiv.style.fontSize=`${fontSize}px`,tempDiv.style.width=`${width}px`,tempDiv.style.height="0",tempDiv.innerHTML=text,newHeight=tempDiv.scrollHeight,newWidth=tempDiv.scrollWidth-1,newWidth>width||newHeight>height)up=fontSize;else{if(low=fontSize,Math.abs(fitHeight-newHeight)<=2)break;fitSize=fontSize,fitHeight=newHeight}item.style.fontSize=`${fitSize}px`,this.body.removeChild(tempDiv)}getColorHex(colorCode){return`#${colorCode.toString(16).padStart(6,"0").toUpperCase()}`}getContrast(colorCode){return(299*(colorCode>>16&255)+587*(colorCode>>8&255)+114*(255&colorCode))/1e3}getContrastingColor(colorCode){return(299*(colorCode>>16&255)+587*(colorCode>>8&255)+114*(255&colorCode))/1e3>=128?"#000000":"#FFFFFF"}repairP(text){return text?text.replace(/<p[^>]*>/g,"").replace(/<\/p>/g,"<br>").trim():""}findbest(low,high,condition){for(;high-low>1;){const mid=Math.floor((low+high)/2);condition(mid)<0?low=mid:high=mid}return low}disableButtons(buttons,disabled){for(let i=0;i<buttons.length;i++){let btn=buttons[i];void 0!==btn&&(disabled?btn.classList.add("mmogame_imgbutton_disabled"):btn.classList.remove("mmogame_imgbutton_disabled"))}}repairNickname(nickname){if(void 0===nickname)return"";let s=nickname;if(""!==s)for(;-1!==s.indexOf("_");)s=s.replace("_"," ");return s}showColorPalette(canvas,colors){let ctx=canvas.getContext("2d"),width=canvas.width,height=canvas.height,strip=width/5;colors.sort(((a,b)=>this.getContrast(a)-this.getContrast(b)));for(let i=0;i<5;i++)ctx.fillStyle=this.getColorHex(colors[i]),ctx.fillRect(i*strip,0,(i+1)*strip,height);ctx.strokeStyle="#FFFFFF",ctx.lineWidth=1,ctx.strokeRect(0,0,width,height)}setColorsString(s){let colors=[10190553,7992050,6799194,13693522,12540705];if(void 0!==s&&s.length>=0){let b=s.split(",");if(5===b.length){colors=[];for(let i=0;i<5;i++)colors[i]=parseInt(b[i])}}this.setColors(this.sortColors(colors))}sortColors(colors){return colors.sort(((a,b)=>this.getContrast(a)-this.getContrast(b)))}computeDifClock(time){void 0!==time&&(this.difClock=((new Date).getTime()-time)/1e3)}computeTimeStartClose(timeStart,timeClose){void 0!==timeStart?(this.timestart=0!==parseInt(timeStart)?parseInt(timeStart)+this.difClock:0,this.timeclose=0!==parseInt(timeClose)?parseInt(timeClose)+this.difClock:0):(this.timestart=0,this.timeclose=0)}drawRadio(canvas,color1,color2){let ctx=canvas.getContext("2d"),size=canvas.width;ctx.clearRect(0,0,size,canvas.height),ctx.beginPath(),ctx.arc(size/2,size/2,size/2,0,2*Math.PI,!1),ctx.fillStyle=this.getColorHex(color1),ctx.fill(),canvas.classList.contains("checked")&&(ctx.beginPath(),ctx.arc(size/2,size/2,size/4,0,2*Math.PI,!1),ctx.fillStyle=this.getColorHex(color2),ctx.fill())}createRadiobox(parent,size,color1,color2,checked,disabled){let canvas=document.createElement("canvas");return canvas.style.position="absolute",canvas.width=size,canvas.height=size,parent.appendChild(canvas),checked&&canvas.classList.add("checked"),disabled&&canvas.classList.add("disabled"),this.drawRadio(canvas,disabled?color1:16777215,color2),canvas}createImageButton(parent,classnames,left,top,width,height,filename){const imgButton=this.createImage(parent,classnames,left,top,width,height,filename);return imgButton.style.cursor="pointer",imgButton}createDivColor(parent,classnames,left,top,width,height,color){const colorDiv=this.createDiv(parent,classnames,left,top,width,height);return colorDiv.style.backgroundColor=color,colorDiv.style.border="1px solid #000",colorDiv}getStringM(name){return M.util.get_string(name,"mmogame")}async getOption(name){if("string"!=typeof name||!name.trim())throw new Error("name must be a non-empty string");return new Promise(((resolve,reject)=>{const request=indexedDB.open("mmoGameDB",1);request.onupgradeneeded=function(event){const db=event.target.result;db.objectStoreNames.contains("options")||db.createObjectStore("options",{keyPath:"name"})},request.onsuccess=function(event){const getRequest=event.target.result.transaction(["options"],"readonly").objectStore("options").get(name);getRequest.onsuccess=function(event){resolve(event.target.result||null)},getRequest.onerror=function(){reject(new Error(`Failed to retrieve option: ${name}`))}},request.onerror=function(){reject(new Error("Failed to open database"))}}))}async setOption(name,data){if("string"!=typeof name||!name.trim())throw new Error("name must be a non-empty string");if("object"!=typeof data||null===data)throw new Error("data must be a non-null object");return new Promise(((resolve,reject)=>{const request=indexedDB.open("mmoGameDB",1);request.onupgradeneeded=function(event){const db=event.target.result;db.objectStoreNames.contains("options")||db.createObjectStore("options",{keyPath:"name"})},request.onsuccess=function(event){const store=event.target.result.transaction(["options"],"readwrite").objectStore("options"),record={name:name,...data},putRequest=store.put(record);putRequest.onsuccess=function(){resolve(!0)},putRequest.onerror=function(){reject(new Error(`Failed to save option: ${name}`))}},request.onerror=function(){reject(new Error("Failed to open database"))}}))}debounce(func,delay){let timer;return function(){for(var _len=arguments.length,args=new Array(_len),_key=0;_key<_len;_key++)args[_key]=arguments[_key];clearTimeout(timer),timer=setTimeout((()=>func.apply(this,args)),delay)}}showError(name,error){return name+error}setColors(colors){this.colorBackground=colors[0],this.body.style.backgroundColor=this.getColorHex(this.colorBackground)}}}));

//# sourceMappingURL=mmogame.min.js.map